<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "middle_damage_level".
 *
 * @property integer $metal_id
 * @property integer $level
 * @property integer $work_hour
 */
class MiddleDamageLevel extends \common\models\Base
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'middle_damage_level';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['metal_id'], 'required'],
            [['metal_id', 'level', 'work_hour'], 'integer'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'metal_id' => 'Metal ID',
            'level' => 'Level',
            'work_hour' => 'Work Hour',
        ];
    }
}
